﻿namespace ValidateIndex
{
    public class RowModel : RowModelBase
    {
        #region модель
        private string _name;
        private string _taxpayerInn;
        private string _taxpayerKpp;
        private string _formCode;
        #endregion

        #region member for viewModel

        [Binding(Name = "inn")]
        public virtual string TaxpayerInn
        {
            get
            {
                return _taxpayerInn;
            }
            set
            {
                _taxpayerInn = value;
                RaisePropertyChanged(() => TaxpayerInn);
            }
        }

        [Binding(Name = "kpp")]
        public virtual string TaxpayerKpp
        {
            get
            {
                return _taxpayerKpp;
            }
            set
            {
                _taxpayerKpp = value;
                RaisePropertyChanged(() => TaxpayerKpp);
            }
        }
        
        [Binding(Name = "filename")]
        public virtual string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
                RaisePropertyChanged(() => Name);
            }
        }
        
        [Binding(Name = "formCode")]
        public virtual string FormCode
        {
            set
            {
                _formCode = value;
                RaisePropertyChanged(() => FormCode);
            }
            get
            {
                return _formCode;
            }
        }

        #endregion

    }
}
